Arch: Pipe/Țeavă

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Pipe and the translation is 74% complete.

Outdated translations are marked like this.
Other languages:
English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский

Arch Pipe.svg Arch Pipe

Menu location
Arch → Pipe Tools → Pipe
Workbenches
Arch
Default shortcut
P I
Introduced in version
-
See also
Arch PipeConnector

Descriere

introduced in version 0.17 Acest instrument permite crearea de țevi/conducte de la zero, sau din obiectele selectate. Obiectele selectate trebui esă fie bzate pe Piese/Part-based (Draft, Sketch, etc..) și să conțină doar un filament deschis.

Cum se folosește

  1. Optional, selectați o formă lineară Part ca de ex o Draft Line, un Draft Wire sau o Sketch deschisă
  2. Apăsați butonul Arch Pipe.png Arch Pipe, sau apăsați în ordine tastele P apoi I

Opțiuni

  • Conductele partajează proprietățile și comportamentele comune tuturor Arch Components

Proprietăți

  • DATALength: Setează lungimea acestei țevi,când nu se bazează pe un filament
  • DATADiameter: Diametrul acestei țevi, când nu se bazează pe un profil
  • DATABase: Filamentul de bază al acestei țevi, dacă există unul
  • DATAProfile: Profilul de bază a acestei țevi. Dacă nu este specificat, țeava este cilindrică.

Fluxul de lucru tipic

  • Începeți prin a plasa obiecte sanitare / hidraulice (mai jos este un fișier importat pas). Transformați aceste obiecte în Echipamente Arch, selectând-le și apăsând butonul Arbor Equipment.

Arch pipe example 01.jpg

  • Echipamentele Arch au acum o proprietate nouă SnapPoints, care este o listă de vectori 3D. Acest lucru vă permite să adăugați puncte de fixare personalizate, pe care le puteți activa când noul buton Draft Special este activat. În prezent, această proprietate este disponibilă numai pentru Python. În cazul de mai sus am adăugat un nou punct de fixare la ieșirea aparatului de spălare. Vectorii din SnapPoints apar pe model ca puncte albe:
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]

Arch pipe example 02.jpg

  • Cu noul Snap Snap Special Snap Special, puteți acum să accesați aceste puncte personalizate:

Arch pipe example 03.jpg

  • Acum, putem trage tuburile noastre folosind Linii de Proiectare, Proiectoare sau Schițe. Cea mai bună metodă, totuși, este utilizarea numai a liniilor de proiectare:

Arch pipe example 04.jpg

  • Acum există un nou instrument Proiect Slope care permite modificarea pantei liniilor de proiectare, spre exemplu, 5% (0,05). Așadar, putem da rapid liniei noastre de deșeuri o pantă corectă. Numai coordonatele z sunt modificate de acest instrument, așa că trebuie doar să le înșurubăm unul în celălalt, proiecția de sus va rămâne neschimbată.

Arch pipe example 05.jpg

  • Trebuie doar să selectăm toate liniile noastre și să apăsăm butonul Pipe Arch. Arch Pipe funcționează cu orice obiect bazat pe componente care conține un singur fir deschis.

Arch pipe example 06.jpg

  • Acum putem crea conexiuni selectând 2 sau 3 tuburi coincidente și apăsați butonul Arch PipeConnector. Dacă sunt selectate 3 țevi, două dintre ele trebuie să fie aliniate pentru a crea un element (T):

Arch pipe example 07.jpg

  • Schimbarea razei conectorilor nu modifică lungimea liniei de bază subiacente, numai tubul rezultat (prin schimbarea proprietății OffsetStart sau OffsetEnd). Deci, puteți să vă traseți linia doar cu linii drepte, fără a fi nevoie să vă îngrijiți de curbele și razele lor.

Este de asemenea posibil să se creeze Arch Pipes fără o linie de bază, în acest caz utilizați proprietatea "Length" pentru a defini lungimea sa.

Scrip-Programare

Instrumentul Pipe poate fi utilizat în macros și de la consola python utilizând următoarele funcții:

Pipe = makePipe(baseobj=None, diameter=0, length=0, placement=None, name="Pipe")
  • Creates a Pipe object from the given baseobj and diameter.
    • baseobj is a Draft Line or Draft Wire.
    • If baseobj is omitted, a straight pipe can be created with just the diameter and the length in the Z direction.
  • If a placement is given, it is used.
import Draft, Arch

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2500, 200, 0)
p3 = FreeCAD.Vector(3100, 1000, 0)
p4 = FreeCAD.Vector(3500, 500, 0)
Line = Draft.makeWire([p1, p2, p3, p4])

Pipe = Arch.makePipe(Line, 200)
FreeCAD.ActiveDocument.recompute()

Pipe2 = Arch.makePipe(diameter=120, length=3000)
FreeCAD.ActiveDocument.recompute()